// sa 
var sa = {};

// 打开loading
sa.loading = function (msg) {
    layer.closeAll();	// 开始前先把所有弹窗关了
    return layer.msg(msg, {icon: 16, shade: 0.3, time: 1000 * 20, skin: 'ajax-layer-load'});
};

// 隐藏loading
sa.hideLoading = function () {
    layer.closeAll();
};

// 封装一下Ajax
sa.ajax = function (url, data, successFn) {
    sa.loading("正在努力加载...");
    setTimeout(function () {
        $.ajax({
            url: url,
            type: "post",
            data: data,
            dataType: 'json',
            success: function (res) {
                console.log('返回数据：', res);
                sa.hideLoading();
                if (res.code == 200) {
                    successFn(res);
                } else {
                    layer.alert(res.msg, {icon: 2});
                }
            },
            error: function (xhr, type, errorThrown) {
                sa.hideLoading();
                if (xhr.status == 0) {
                    return layer.alert('无法连接到服务器，请检查网络');
                }
                return layer.alert("异常：" + JSON.stringify(xhr));
            }
        });
    }, 400);
}

// ----------------------------------- 绑定事件 -----------------------------------
// 登录事件
$('.login-btn').click(function () {
    var data = {
        name: $('[name=name]').val(),
        pwd: $('[name=pwd]').val()
    }
    sa.ajax("/SysUserAcc/doLogin", data, function (res) {
        layer.msg('登录成功', {anim: 0, icon: 6});
        setTimeout(function () {
            location.reload();
        }, 800)
    })
});
// 退出登录事件
$('.logout-btn').click(function () {
    var data = {}
    sa.ajax("/SysUserAcc/doExit", data, function (res) {
        layer.msg('退出登录成功', {anim: 0, icon: 6});
        setTimeout(function () {
            location.reload();
        }, 800)
    })
});
// 注册事件 
$('.reg-btn').click(function () {
    var data = {
        phone: $('[name=phone]').val(),
        vc: $('[name=vc]').val()
    }
    sa.ajax("/SysUserAcc/loginByPhone_ok", data, function (res) {
        layer.msg('登录成功', {anim: 0, icon: 6});
        setTimeout(function () {
            location.reload();
        }, 800)
    })
});

// 发送验证码
$('.send-vc').on('click', 'a', function () {
    // 校验是否点击频繁
    var vcCount = parseInt(localStorage.vcCount) || 0;
    if (vcCount > 0) {
        return layer.msg('请求频繁，请稍后再试');
    }
    // 开始请求
    var data = {phone: $('[name=phone]').val()};
    sa.ajax("/SysUserAcc/loginByPhone_sendVc", data, function (res) {
        // 提示
        // layer.msg('发送成功，请注意接收');
        layer.alert('发送成功，请注意接收');
        // 刷新
        localStorage.lastClick = new Date().getTime();
        refVc();
    })
})

// 验证码循环计数
var refVc = function () {
    var lastClick = parseInt(localStorage.lastClick) || 0;
    var effS = parseInt(60 - (new Date().getTime() - lastClick) / 1000);
    if (effS > 0) {
        $('.send-vc').html('重新获取 ' + effS + 's');
    } else {
        $('.send-vc').html('<a>获取验证码</a>');
    }
}
refVc();
setInterval(refVc, 1000);

// 忘记密码
function forget() {
    layer.alert('如您已忘记账号密码，您可以使用短信登录后修改密码', function (index) {
        layer.close(index);
        $('.tab2').click();
    });
}

// 注册账号
function regAcc() {
    layer.alert('使用短信登录后将自动注册账号', function (index) {
        layer.close(index);
        $('.tab2').click();
    });
}

// 绑定tab选项卡点击事件
$('.tab1').click(function () {
    // 切换tab
    $('.nat-tab').removeClass('nat-tab');
    $(this).addClass('nat-tab');
    $('.title-border').removeClass('title-border-2');
    // 切换表单
    $('.native').removeClass('native');
    $('.login-dev').addClass('native');
})
$('.tab2').click(function () {
    // 切换tab
    $('.nat-tab').removeClass('nat-tab');
    $(this).addClass('nat-tab');
    $('.title-border').addClass('title-border-2');
    // 切换表单
    $('.native').removeClass('native');
    $('.reg-dev').addClass('native');
})

// 绑定回车事件
$('[name=name],[name=pwd]').bind('keypress', function (event) {
    if (event.keyCode == "13") {
        $('.login-btn').click();
    }
});

// 绑定回车事件
$('').bind('keypress', function (event) {
    if (event.keyCode == "13") {
        $('.logout-btn').click();
    }
});

// 输入框获取焦点
$("[name=name]").focus();

// 打印 （请不要删除此打印信息） 
var sspId = "xxx";	// 授权码id 
var sspInfo = "This page is provided by Sa-Sso-Pro (https://sa-token.cc/), Authorization Id: " + sspId;
console.log(sspInfo);


//右上角用户信息显隐
function showUserInfo() {
    $('.user-info-content').removeClass('show-user');
}

function userInfoHide() {
    $('.user-info-content').addClass('show-user');
}